LibreOffice: XFrames Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFrames Interface Referencepublished

manages and creates frames. More...

`import <XFrames.idl;`

Inheritance diagram for XFrames:

## Public Member Functions
void | append ([in] XFrame xFrame)
| appends the specified Frame to the list of sub-frames.
sequence< XFrame > | queryFrames ([in] long nSearchFlags)
| provides access to the list of all currently existing frames inside this container and her sub frames
void | remove ([in] XFrame xFrame)
| removes the frame from its container.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

manages and creates frames.

Frames may contain other frames (by implementing an XFrames interface) and may be contained in other frames.

See also
  XFrame
  Frame

Developers Guide
  Office Development - Frames - Linking Components and Windows
  Office Development - Using the Desktop

## Member Function Documentation

## ◆ append()

void append | ( | [in] XFrame | xFrame | ) |

appends the specified Frame to the list of sub-frames.

Parameters

  xFrame | new frame for inserting into this container

## ◆ queryFrames()

sequence< XFrame > queryFrames | ( | [in] long | nSearchFlags | ) |

provides access to the list of all currently existing frames inside this container and her sub frames

Parameters

  nSearchFlags | use combinations of FrameSearchFlag to specify which frames should be found

Returns
  all frames of this container and all available frames of the whole frame tree which match search parameter SearchFlags

## ◆ remove()

void remove | ( | [in] XFrame | xFrame | ) |

removes the frame from its container.

Note:

- The method XComponent::dispose() is not called implicitly by this method.
- The creator attribute of the frame must be reset by the caller of this method.

Parameters

  xFrame | frame which should be removed from this container

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFrames.idl